#version 120

uniform float translate;

attribute vec3 position;
attribute vec3 color;

void main()
{
  gl_Position = vec4(translate + position.x, position.yz, 1);
  gl_FrontColor = vec4(color, 1);
}
